package me.km.commands;

import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.effects.EffectUtils;
import me.km.entities.EntityItemProjectile;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;

public class CommandTest extends ModuleCommand
{
    public CommandTest(Module m) 
    {
        super("test", m);
        super.setDescription("Für Tests");
        super.setUsage("/test");
        super.setPermission(Permissions.TEST);
    }   

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        EntityPlayer p = (EntityPlayer) cs;
        EffectUtils.launchProjectile(p, EntityItemProjectile.class, 1, p.getHeldItemMainhand().copy());
        return true;
    }
}
